cURL
curl --request GET \ --url https://api.breeze.com/user-yield/{user_id} \ --header 'x-api-key: <api-key>'
{ "data": [ { "count": 1, "protocol": "<string>", "yield_sources": [ { "base_assets": [ "<string>" ], "current_apy": 123, "pubkey": "<string>", "risk": 1, "source": "<string>", "updated_at_timestamp": 1, "yield_type": "<string>" } ] } ], "meta": { "has_more": true, "page": 1, "per_page": 1, "total": 1, "total_pages": 1 } }
Fund user identifier
Filter by specific fund
Page number for pagination, default 1
x >= 0
Items per page, default 10
User yield data retrieved successfully
Paginated response wrapper
Show child attributes
Number of yield sources in this protocol
Protocol/source name (e.g., "kamino", "marginfi", "drift")
List of yield sources for this protocol
List of supported base assets
Current annual percentage yield
Unique identifier for the yield source
Risk level (0-255, lower is safer)
Timestamp when the data was last updated
Type of yield source (e.g., "Lending", "TokenStaking", etc.)
Pagination metadata
Whether there are more pages
Current page number
Number of items per page
Total number of items
Total number of pages
Was this page helpful?